#
# spec file for package python-pyotp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyotp
Version:        2.3.0
Release:        bp155.2.11
Summary:        Python One Time Password Library
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/pyotp/pyotp
Source:         https://files.pythonhosted.org/packages/source/p/pyotp/pyotp-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
PyOTP is a Python library for generating and verifying one-time passwords. It can be used to implement two-factor (2FA)
or multi-factor (MFA) authentication methods in web applications and in other systems that require users to log in.

%prep
%setup -q -n pyotp-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue Jul 30 2019 pgajdos@suse.com
- version update to 2.3.0
  * Fix comparison behavior on Python 2.7
  * Fix comparison of unicode chars (#78)
  * Minor documentation and test fixes
* Tue Mar 26 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by PyFxA
